Feedback

  • Contents
 

PureConnect for Salesforce requirements

        On this page Hide

To run PureConnect for Salesforce, you need:

  • An Internet browser: the latest version of Firefox or Chrome, or Microsoft Edge.

Note: PureConnect for Salesforce no longer supported use of Internet Explorer after the release of PureConnect 2018 R5.

  • Salesforce licenses

  • CIC for Salesforce server license

  • Per-user licenses for the Salesforce integration.

    • Salesforce Standard (ACD) User license: full functionality

    • Salesforce Business User (non-ACD) license: limited screen pop functionality

      Only pops interactions that CIC does not route through a CIC workgroup unless agents with a Salesforce Standard User license transferred these interactions.

  • PureConnect for Salesforce managed package, available on the Salesforce App Exchange.

  • If you are doing content filtering, whitelist the following URLs that PureConnect for Salesforce accesses:

    • https://*.cloudfront.net/crm-cic/*

    • https://apps.mypurecloud.com/crm-cic/*

    • The URL for the reverse proxy

Tip: To evaluate the integration’s potential load on your site’s Session Manager, consider doing an architecture review with a technical contact at Genesys or your partner organization. To arrange for this review, contact your Client Account Manager or Sales Manager.

For CIC premise operations

  • A CIC server, version 2015 R2 or later. Interaction Dialer, web chat, callback, and wrap-up features require CIC 2015 R4 or later.

Note: See the Known Issues list on the Product Information page for descriptions of any issues affecting you. Go to https://my.inin.com/products/Pages/Known-Issues.aspx (requires logon). Upgrade to the latest patch of your version whenever possible.

For PureConnect Cloud operations

  • A PureConnect CloudURL, version 2015 R2 or later. Interaction Dialer, web chat, callback, and wrap-up features require CIC 2015 R4 or later.